
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <float.h>

#include "main.h"
#include "buzz.h"
#include "sawtooth.h"

FILE	*OutFile1, *OutFile2;
double	*table1, *table2;
float	*table1f, *table2f;

int	main(int argc, char **argv) {

	size_t	i;

	if (argc!=3) {
	
		fprintf(stderr, "error: invalid number of parameters\n");
		exit(-1);
	}

	OutFile1=fopen(argv[1],"wb");
	if (OutFile1==NULL) {
		fprintf(stderr, "error: cannot open output file 1\n");
		exit(-1);
	}
	OutFile2=fopen(argv[2],"wb");
	if (OutFile2==NULL) {
		fprintf(stderr, "error: cannot open output file 2\n");
		exit(-1);
	}

	table1=(double*)malloc((FFTSIZE+2)*sizeof(double));
	if (table1==NULL) {
		fprintf(stderr, "error: not enough memory\n");
		exit(-1);
	}
	table2=(double*)malloc((FFTSIZE+2)*sizeof(double));
	if (table2==NULL) {
		fprintf(stderr, "error: not enough memory\n");
		exit(-1);
	}

	table1f=(float*)malloc((FFTSIZE+2)*sizeof(float));
	if (table1f==NULL) {
		fprintf(stderr, "error: not enough memory\n");
		exit(-1);
	}
	table2f=(float*)malloc((FFTSIZE+2)*sizeof(float));
	if (table2f==NULL) {
		fprintf(stderr, "error: not enough memory\n");
		exit(-1);
	}

	BuzzGen(table1);
	SawToothGen(table2);

	for (i=0; i<(FFTSIZE+2); i++) {

		table1f[i]=(float)table1[i];
		table2f[i]=(float)table2[i];
	}

	fwrite(table1f, sizeof(float), (FFTSIZE+2), OutFile1);
	fwrite(table2f, sizeof(float), (FFTSIZE+2), OutFile2);

	fflush(OutFile1); fclose(OutFile1); free(table1); free(table1f);
	fflush(OutFile2); fclose(OutFile2); free(table2); free(table2f);

	return 0;
}


